---
updatedAt: 2026-02-10T12:00:57.000Z
---

# Update Default Address

**This API requires the Account Administrator role.**

Updates a user's default address to the address ID provided.

Address IDs for both `addresses` and `accountAddresses` are accepted. Note,
only 1 type of address can be the default at any one time.

# OpenAPI definition

```json
{
  "openapi": "3.0.2",
  "x-explorer-enabled": false,
  "x-samples-languages": [
    "curl",
    "node",
    "java",
    "javascript",
    "python",
    "go"
  ],
  "info": {
    "title": "Admin - User",
    "description": "The User APIs are use to create, update and retrieve information about User and Profiles.\n\nThe Bulk User APIs are use to perform operations on users and jobs in bulk.\nUser Services support add, update, delete users in bulk and delete multiple jobs.\n\nUser Services will support multiple ways to provision Users/Agents\n  1. Programmatic Interface (Rest APIs)\n  2. User Interface\n",
    "contact": {
      "name": "Avaya API Team",
      "url": "https://developers.avayacloud.com/onecloud-ccaas",
      "email": "apiteam@avaya.com"
    },
    "license": {
      "name": "Avaya Software Development Kit (SDK) Software License Terms",
      "url": "http://support.avaya.com/css/P8/documents/101038288"
    },
    "version": "1.0.2"
  },
  "security": [
    {},
    {
      "BearerAuth": [],
      "AppKey": []
    }
  ],
  "servers": [
    {
      "url": "{protocol}://{server}:{port}{basePath}",
      "description": "Open API",
      "variables": {
        "protocol": {
          "enum": [
            "https"
          ],
          "default": "https"
        },
        "server": {
          "default": "HOST-REGION.api.avayacloud.com"
        },
        "port": {
          "enum": [
            "443"
          ],
          "default": "443"
        },
        "basePath": {
          "default": "/api/admin/user/v1"
        }
      }
    }
  ],
  "tags": [
    {
      "name": "User",
      "description": "Represents a user in the system. A user can be an Agent, Supervisor or an Administrator.\n"
    }
  ],
  "paths": {
    "/accounts/{accountId}/users/{userId}/addresses/{addressId}:updateDefault": {
      "post": {
        "tags": [
          "User"
        ],
        "summary": "Update Default Address",
        "description": "**This API requires the Account Administrator role.**\n\nUpdates a user's default address to the address ID provided.\n\nAddress IDs for both `addresses` and `accountAddresses` are accepted. Note,\nonly 1 type of address can be the default at any one time.\n",
        "operationId": "updateUserDefaultAddress",
        "parameters": [
          {
            "$ref": "#/components/parameters/accountId"
          },
          {
            "$ref": "#/components/parameters/userId"
          },
          {
            "$ref": "#/components/parameters/addressId"
          }
        ],
        "responses": {
          "202": {
            "description": "Accepted",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Address"
                },
                "examples": {
                  "Address": {
                    "$ref": "#/components/examples/AddressDefault"
                  }
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/ErrorConstraintViolation"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          },
          "500": {
            "$ref": "#/components/responses/InternalServer"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "This API uses Bearer Token Authorization Flow",
        "bearerFormat": "JWT"
      },
      "AppKey": {
        "type": "apiKey",
        "in": "header",
        "name": "appkey",
        "description": "This API needs an appKey as header"
      }
    },
    "responses": {
      "ErrorConstraintViolation": {
        "description": "Constraint Violation",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "examples": {
              "default": {
                "$ref": "#/components/examples/ErrorConstraintViolation"
              }
            }
          }
        }
      },
      "Unauthorized": {
        "description": "Unauthorized",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "examples": {
              "default": {
                "$ref": "#/components/examples/ErrorUnauthorized"
              }
            }
          }
        }
      },
      "InternalServer": {
        "description": "Request processing failed",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "examples": {
              "default": {
                "$ref": "#/components/examples/ErrorInternalServerError"
              }
            }
          }
        }
      },
      "Forbidden": {
        "description": "Forbidden",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "examples": {
              "default": {
                "$ref": "#/components/examples/ErrorForbidden"
              }
            }
          }
        }
      },
      "NotFound": {
        "description": "Not Found",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "examples": {
              "default": {
                "$ref": "#/components/examples/ErrorNotFound"
              }
            }
          }
        }
      }
    },
    "schemas": {
      "Problem": {
        "type": "object",
        "description": "<b>Problem Detail</b> as a way to carry machine-readable details of errors in a HTTP response to avoid the need to define new error response formats for HTTP APIs <a href=\"https://tools.ietf.org/html/rfc7807\">RFC 7807</a>\n",
        "properties": {
          "type": {
            "type": "string",
            "format": "uri",
            "description": "An absolute URI that identifies the problem type. When dereferenced, it SHOULD provide human-readable documentation for the problem type (e.g., using HTML).\n",
            "default": "about:blank",
            "example": "https://developers.avayacloud.com/onecloud-ccaas/docs/error-handling#constraint-violation"
          },
          "title": {
            "type": "string",
            "description": "A short, summary of the problem type. Written in english and readable for engineers (usually not suited for non technical stakeholders and not localized).\n",
            "example": "Service Unavailable",
            "nullable": true
          },
          "status": {
            "type": "integer",
            "format": "int32",
            "description": "The HTTP status code generated by the origin server for this occurrence of the problem.\n",
            "minimum": 100,
            "maximum": 600,
            "exclusiveMaximum": true,
            "example": 503,
            "nullable": true
          },
          "detail": {
            "type": "string",
            "description": "A human readable explanation specific to this occurrence of the problem.\n",
            "example": "Connection to database timed out",
            "nullable": true
          },
          "instance": {
            "type": "string",
            "format": "uri",
            "description": "An absolute URI that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.\n",
            "nullable": true
          },
          "violations": {
            "type": "array",
            "description": "A list of violations that occurred as a result of invalid data provided as part of a request.\n",
            "nullable": true,
            "items": {
              "type": "object",
              "properties": {
                "field": {
                  "type": "string",
                  "description": "The name of the field in the request that caused the violation. This can be the name of a path parameter, query parameter, or a field within the request body.\n",
                  "example": "accountId"
                },
                "message": {
                  "type": "string",
                  "description": "A human readable explanation specific to this occurrence of the violation.\n",
                  "example": "must match \"^[a-zA-Z]{6}$\""
                },
                "code": {
                  "type": "integer",
                  "format": "int32",
                  "description": "The violation code generated by the server for this occurrence of the violation. Use this code when implementing any error handling logic instead of the message, as the message can change.\n",
                  "example": 20006
                }
              }
            },
            "example": [
              {
                "field": "emailAddress",
                "message": "must not be null",
                "code": 20002
              },
              {
                "field": "accountId",
                "message": "must match \"^[a-zA-Z]{6}$\"",
                "code": 20006
              }
            ]
          }
        }
      },
      "Address": {
        "description": "A real address for an user.",
        "type": "object",
        "required": [
          "addressName",
          "streetName",
          "streetNumber",
          "countryCode",
          "zip"
        ],
        "properties": {
          "addressId": {
            "type": "string",
            "example": "c8c2909d-75e9-484a-94c0-b7e8d29771fe",
            "minLength": 36,
            "maxLength": 36,
            "readOnly": true,
            "pattern": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
          },
          "addressName": {
            "type": "string",
            "minLength": 2,
            "maxLength": 32,
            "pattern": "^[a-zA-Z\\p{L}0-9]+([ ]*[a-zA-Z\\p{L}0-9-\\_\\*\\=\\+\\$\\:\\;\\&\\~\\,\\?\\%\\!\\|\\{\\}\\`\\.\\']+)*$",
            "example": "Home address"
          },
          "addressType": {
            "type": "string",
            "nullable": true,
            "enum": [
              "OFFICE",
              "APARTMENT",
              "BASEMENT",
              "BUILDING",
              "DEPARTMENT",
              "FLOOR",
              "FRONT",
              "KEY",
              "LOBBY",
              "LOT",
              "LOWER",
              "PENTHOUSE",
              "PIER",
              "REAR",
              "ROOM",
              "SIDE",
              "SLIP",
              "SPACE",
              "STOP",
              "SUITE",
              "TRAILER",
              "UNIT",
              "UPPER"
            ],
            "example": "UNIT",
            "description": "It is to narrow down the exact dispatched location for the agent/user"
          },
          "addressTypeNumber": {
            "type": "string",
            "minLength": 0,
            "maxLength": 64,
            "example": "101",
            "description": "It is optional unless the AddressType is specified and it can be used for things like \"Floor 1\" or \"Unit 101\"."
          },
          "streetNumber": {
            "type": "string",
            "minLength": 1,
            "maxLength": 16,
            "example": "A11"
          },
          "streetName": {
            "type": "string",
            "minLength": 2,
            "maxLength": 128,
            "example": "Allstate Pkwy"
          },
          "city": {
            "type": "string",
            "minLength": 0,
            "maxLength": 128,
            "example": "Markham"
          },
          "state": {
            "type": "string",
            "minLength": 1,
            "maxLength": 3,
            "example": "ON"
          },
          "countryCode": {
            "type": "string",
            "minLength": 2,
            "maxLength": 3,
            "pattern": "^[A-Za-z]{2,3}$",
            "example": "ZW"
          },
          "zip": {
            "type": "string",
            "minLength": 4,
            "maxLength": 16,
            "example": "L3R9T8",
            "pattern": "^[A-Za-z0-9\\p{L}_ -]*$"
          },
          "isDefault": {
            "type": "boolean",
            "description": "Indicated default address of user",
            "example": false,
            "default": false
          }
        }
      }
    },
    "parameters": {
      "accountId": {
        "name": "accountId",
        "description": "The unique 6 character internal id that represents the customer account.",
        "required": true,
        "in": "path",
        "schema": {
          "type": "string",
          "minLength": 6,
          "maxLength": 6,
          "pattern": "^[a-zA-Z]{6}$",
          "example": "ABCDEF"
        }
      },
      "userId": {
        "name": "userId",
        "in": "path",
        "description": "The unique 36 character internal id (uuid) that represents the user.",
        "required": true,
        "schema": {
          "type": "string",
          "example": "c8c2909d-75e9-484a-94c0-b7e8d29771fe",
          "minLength": 36,
          "maxLength": 36,
          "pattern": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
        }
      },
      "addressId": {
        "name": "addressId",
        "in": "path",
        "description": "The unique 36 character internal id (uuid) that represents the address.",
        "required": true,
        "schema": {
          "type": "string",
          "example": "c8c2909d-75e9-484a-94c0-b7e8d29771fe",
          "minLength": 36,
          "maxLength": 36,
          "pattern": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
        }
      }
    },
    "examples": {
      "AddressDefault": {
        "description": "A default Address",
        "value": {
          "addressId": "c8c2909d-75e9-484a-94c0-b7e8d29771fe",
          "addressName": "Address Name",
          "addressType": "OFFICE",
          "addressTypeNumber": "101",
          "streetNumber": "A11",
          "streetName": "Allstate Pkwy",
          "city": "Markham",
          "state": "ON",
          "countryCode": "ZW",
          "zip": "L3R9T8",
          "isDefault": true
        }
      },
      "ErrorConstraintViolation": {
        "description": "Constraint Violation",
        "value": {
          "type": "https://developers.avayacloud.com/avaya-experience-platform/docs/error-handling#constraint-violation",
          "title": "Constraint Violation",
          "status": 400,
          "detail": "A problem that indicates a syntactically correct, yet semantically illegal request. The Server can not process this request until the client resolves the semantic errors described in the violations section.",
          "violations": [
            {
              "field": "accountId",
              "message": "must match \"^[a-zA-Z]{6}$\"",
              "code": 20006
            }
          ]
        }
      },
      "ErrorUnauthorized": {
        "description": "Unauthorized",
        "value": {
          "type": "https://developers.avayacloud.com/avaya-experience-platform/docs/error-handling#unauthorized",
          "title": "Unauthorized",
          "status": 401,
          "detail": "This operation requires authentication. See https://developers.avayacloud.com/avaya-experience-platform/docs/how-to-authenticate-with-ccaas-apis"
        }
      },
      "ErrorForbidden": {
        "description": "Forbidden",
        "value": {
          "type": "https://developers.avayacloud.com/avaya-experience-platform/docs/error-handling#forbidden",
          "title": "Forbidden",
          "status": 403,
          "detail": "According to the access control policy the current user and/or accountId does not have permission to access this resource."
        }
      },
      "ErrorNotFound": {
        "description": "Not Found",
        "value": {
          "type": "https://developers.avayacloud.com/avaya-experience-platform/docs/error-handling#resource-not-found",
          "title": "Resource Not Found",
          "status": 404,
          "detail": "Either there is no API method associated with the URL path of the request, or the request refers to one or more resources that were not found."
        }
      },
      "ErrorInternalServerError": {
        "description": "Server Error",
        "value": {
          "type": "https://developers.avayacloud.com/avaya-experience-platform/docs/error-handling#server-error",
          "title": "Server Error",
          "status": 500,
          "detail": "An internal server error was encountered."
        }
      }
    }
  },
  "x-readme": {
    "proxy-enabled": true
  }
}
```